<?php
ob_start();
require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include('includes/function.php');

$admin = $_SESSION["admin_" . $dbname];
$zdb = $_SESSION["zdbyear_" . $dbname];
$myyear = $_SESSION[$myyear];
mysqli_select_db($conn, $zdb);
$zroot = $_SESSION["zdbroot"];

$file = 'salereg_fr.php';

$supplier = $_POST["supplier"];
$p = $_GET["p"];
$ptype = $_POST["ptype"];
$pchtype = $_POST["pchtype"];
$dtype = $_POST["dtype"];
$gsttype = $_POST["gsttype"];
$scope = $_POST['scope'];
$company = $_POST['company'];

if (!empty($supplier)) {
    $suppcond = " AND `party` = '$supplier' ";
    $suppcond2 = " AND `accode` = '$supplier' ";
}
if (!empty($p)) {
    $pcond = " AND `party` = '$p' ";
}
if (!empty($company)) {
    $companycond = " AND `company` = '$company' ";
}
if (!empty($ptype)) {
    $ptypecond = " AND `paidby`= '$ptype'";
}

if ($ptype == "C") {
    $paytype = "CASH";
} else {
    $paytype = "CREDIT";
}

if ($scope == 1) {
    $vat = " AND totvat > 0 ";
} else if ($scope == 2) {
    $vat = " AND totvat <= 0";
} else {
    $vat = "";
}

$formname = 'Sale Register';

if (!empty($dtype)) {
    $dtypecond = " AND `dtype`= '$dtype' ";
}

if (!empty($gsttype)) {
    if ($gsttype == 1) {
        $gstcond = "AND `oms` = '1'";
    } else {
        $gstcond = "AND `oms` = ''";
    }
}

if (($_GET["fdt"]) != '') {
    $mfdt = $_GET["fdt"];
    $mtdt = $_GET["tdt"];
    $mfrmdate = date("y-m-d", strtotime($mfdt));
    $mtodate = date("y-m-d", strtotime($mtdt));
    $dtype = $_GET["rpt"];
} else {

    $mfrmdate = trim($_POST["frmdt"]);
    $mtodate = trim($_POST["todt"]);

    if (empty($_POST["frmdt"])) {
        browse("From Date Cannot Be Empty");
        header("refresh:1; salereg.php");
    }
    if (empty($_POST["todt"])) {
        browse("To Date Cannot Be Empty");
        header("refresh:1; salereg.php");
    }
    $mfdt = date("d-m-Y", strtotime($mfrmdate));
    $mtdt = date("d-m-Y", strtotime($mtodate));
}

if (!empty($gsttype)) {
    if ($gsttype == 1) {
        $gstcond = "AND `oms` = '1'";
    } else {
        $gstcond = "AND `oms` = ''";
    }
} else {
    $gstcond = "";
}

$getpmain2 = mysqli_query($conn, "SELECT *,DATE_FORMAT(`vouchdt`, '%d-%m-%Y') as mydt FROM `salemain` WHERE `vouchdt` >= '$mfrmdate' 
                                  AND `vouchdt` <= '$mtodate' $suppcond $ptypecond $gstcond $pcond $vat $companycond order by vouchdt,vouchno") or die(mysqli_error($conn));
$getno2 = mysqli_num_rows($getpmain2);


if (isset($_POST["view"]) || ($_GET["view"])) {
    include("includes/linkshead.php");
?>
    <style type="text/css">
        #tabital {
            font-style: italic;
        }

        #font1 {
            font-style: italic;
        }

        #boldfont {
            font-weight: bold;
        }
    </style>
    </head>

    <body>


        <div class="container">
            <?php
            include("includes/head_rep2.php");


            if ($getno2 > 0) {
            ?>
                <div class="row">
                    <div class="col-lg-12 pad">
                        <table class="table table-condesed table-bordered">
                            <tr class="mySearchTr">
                                <!--9221292520-->
                                <th width="100%" class="h4" style="color:white"><b>Sale Register</b></th>
                            </tr>
                            <tr>
                                <td style="font-size: 15px;padding:5px" class="HDFont" colspan="2">
                                    Total No. of Record :&nbsp;&nbsp;<b><?php echo $getno2; ?></b>
                                </td>
                            </tr>
                        </table>
                        <?php if ($ptype != "") { ?>
                            <table width="100%" class="table" style="background-color: #98F9F0">
                                <tr>
                                    <td width="7%" style="font-size:14px">Pay Type : </td>
                                    <td width="93%" style="font-size:14px"><b><?php echo $paytype; ?></b></td>
                                </tr>
                            </table>
                        <?php } ?>
                        <table style="background: white;width: 100%" class="table table-condensed table-striped table-hover table-bordered">
                            <thead class="mySearchTr">
                                <tr>
                                    <th width="3%;">Sr</th>
                                    <th width="4%;">Voucher</th>
                                    <th width="8%;">Date</th>
                                    <th width="15%;">Company</th>
                                    <th width="6%;">Bill No.</th>
                                    <th width="25%;">Party Name</th>
                                    <th width="9%;" class="text-right">Sub Total</th>
                                    <th width="7%;" class="text-right">Discount</th>
                                    <th width="8%;" class="text-right">Add Vat</th>
                                    <th width="7%;" class="text-right">Courier</th>
                                    <th width="12%;" class="text-right">Bill Amount</th>
                                </tr>
                            </thead>
                            <tbody>
                                <?php
                                $pctr = 0;
                                $ptotamt = 0;
                                $ptotdiscamt = 0;
                                $ptottaxable = 0;
                                $ptotgst3 = 0;
                                $ptotgst5 = 0;
                                $ptotgst12 = 0;
                                $ptotgst18 = 0;
                                $ptotgst28 = 0;
                                $ptotpackamt = $ptotstamt = $ptotothamt = $ptotbillamt = 0;
                                $pchtypecond = "";

                                while ($pmain = mysqli_fetch_array($getpmain2)) {
                                    if ($pmain['paidby'] == "C") {
                                        $ptyped = "CASH";
                                    } else {
                                        $ptyped = "CREDIT";
                                    }

                                    $voucher = $pmain['vouchno'];
                                    $invno = $pmain['invno'];
                                    $totalqty = $pmain['totalqty'];
                                    $mydt = $pmain['mydt'];

                                    if ($pmain['canc_flag'] == "C") {
                                        $partynm = "<b style='color:red'>CANCELLED</b>";
                                        $color = "red";
                                        $subtot = $totdisc = $totvat = $billamt = 0;
                                        $gstno = "";
                                        $billamt = $subtot = $totvat = $totdisc = 0;
                                    } else if ($pmain['canc_flag'] != "C") {
                                        $gparty = mysqli_query($conn, "SELECT `accode`,`name` FROM `accmast` where `accode` = '$pmain[party]'") or die(mysqli_error($conn));
                                        $sparty = mysqli_fetch_array($gparty);

                                        $gcomp = mysqli_query($conn, "SELECT `code`,`name` FROM $zroot.`compmast` where `code` = '$pmain[company]'") or die(mysqli_error($conn));
                                        $fcomp = mysqli_fetch_array($gcomp);

                                        $partynm = $sparty['name'];
                                        $billamt = $pmain['billamt'];
                                        $subtot = $pmain['grossamt'];
                                        $totvat = $pmain['totvat'];
                                        $courchgs = $pmain['courchgs'];
                                        $totdisc = $pmain['totdisc'];
                                    }

                                    $pctr++;

                                    echo "<tr data-href='sale.php?mode=edit&vouchno=$voucher' class='clickable-row2' [target]='_blank'>";
                                    echo "<td>$pctr</td>";
                                    echo "<td>$voucher</td>";
                                    echo "<td>$mydt</td>";
                                    echo "<td>$fcomp[name]</td>";
                                    echo "<td>$invno</td>";
                                    if (empty($party)) {
                                        echo "<td>$partynm</td>";
                                    }
                                    echo "<td class='text-right'>$subtot</td>";
                                    echo "<td class='text-right'>$totdisc</td>";
                                    echo "<td class='text-right'>$totvat</td>";
                                    echo "<td class='text-right'>$courchgs</td>";
                                    echo "<td class='text-right'>$billamt</td>";
                                    echo "</tr>";


                                    $pgrtotqty += $totalqty;
                                    $pgrsubtot += $subtot;
                                    $pgrtotdis += $totdisc;
                                    $pgrtotvat += $totvat;
                                    $pgrcourchgs += $courchgs;
                                    $pgrtotbillamt += $billamt;

                                    if ($_POST["dtype"] == 2) {
                                        echo "<tr style='height:10px;'>";
                                        echo "<td colspan='25'>";
                                        echo "<table style='width:100%;' id='tabital' class='table table-condensed table-hover table-bordered'>";
                                        echo "<thead>";
                                        echo "<tr class='' style='background-color:#7f827f'>";
                                        echo "<th style='width:3%;'>Sr</th>";
                                        echo "<th style='width:5%;'>Code</th>";
                                        echo "<th style='width:35%;' class=''>Item</th>";
                                        echo "<th style='width:10%;' class=''>Batch</th>";
                                        echo "<th style='width:4%;' class='text-right'>Qty.</th>";
                                        echo "<th style='width:4%;' class='text-right'>Unit</th>";
                                        echo "<th style='width:5%;' class='text-right'>Cost</th>";
                                        echo "<th style='width:5%;' class='text-right'>Amount</th>";
                                        echo "<th style='width:5%;' class='text-right'>Disc. %</th>";
                                        echo "<th style='width:5%;' class='text-right'>Discount</th>";
                                        echo "<th style='width:5%;' class='text-right'>VAT. %</th>";
                                        echo "<th style='width:5%;' class='text-right'>VAT</th>";
                                        echo "<th style='width:5%;' class='text-right'>Total</th>";
                                        echo "</tr>";
                                        echo "<thead>";
                                        echo "<tr>";


                                        $ctr2 = 0;
                                        $pctr2 = 0;
                                        $pcartqty = $pqty = $ptotqty = $ptotamount = $ptotdiscount = $ptotvat = $ptotal = 0;

                                        $gettran = mysqli_query($conn, "SELECT * FROM `saletran` WHERE `vouchno`='$pmain[vouchno]' order by srno") or die(mysqli_error($conn));
                                        while ($tran = mysqli_fetch_array($gettran)) {

                                            $getitem = mysqli_query($conn, "SELECT `code`,`name` FROM `product` WHERE `code`='$tran[itemcode]'") or die(mysqli_error($conn));
                                            $showitem = mysqli_fetch_array($getitem);

                                            $getunit = mysqli_query($conn, "SELECT * FROM $zroot.`unit` WHERE code = '$tran[unit]'") or die(mysqli_error($conn));
                                            $fetunit = mysqli_fetch_array($getunit);

                                            $ctr2++;
                                            echo "<tr>";
                                            echo "<td>$ctr2</td>";
                                            echo "<td>$tran[barcode]</td>";
                                            echo "<td>$showitem[name]</td>";
                                            echo "<td>$tran[batch]</td>";
                                            echo "<td class='text-right'>$tran[qty]</td>";
                                            echo "<td class='text-right'>$fetunit[name]</td>";
                                            echo "<td class='text-right'>$tran[cost]</td>";
                                            echo "<td class='text-right'>$tran[amount]</td>";
                                            echo "<td class='text-right'>$tran[discperc]</td>";
                                            echo "<td class='text-right'>$tran[discamt]</td>";
                                            echo "<td class='text-right'>$tran[vatperc]</td>";
                                            echo "<td class='text-right'>$tran[vat]</td>";
                                            echo "<td class='text-right'>$tran[total]</td>";
                                            echo "</tr>";

                                            $pcartqty += $tran['cartqty'];
                                            $pqty += $tran['qty'];
                                            $ptotqty += $tran['totqty'];
                                            $ptotamount += $tran['amount'];
                                            $ptotdiscount += $tran['discamt'];
                                            $ptotvat += $tran['vat'];
                                            $ptotal += $tran['total'];
                                        }

                                        echo "<tr style='background-color:#d8e0e6'>";
                                        echo "<td></td>";
                                        echo "<td></td>";
                                        echo "<td></td>";
                                        echo "<td>Total</td>";
                                        echo "<td class='text-right'>$pqty</td>";
                                        echo "<td></td>";
                                        echo "<td></td>";
                                        echo "<td class='text-right'>$ptotamount</td>";
                                        echo "<td></td>";
                                        echo "<td class='text-right'>$ptotdiscount</td>";
                                        echo "<td></td>";
                                        echo "<td class='text-right'>$ptotvat</td>";
                                        echo "<td class='text-right'>$ptotal</td>";
                                        echo "</tr>";
                                        echo "</table>";
                                    }
                                }

                                echo "<tr style='background-color: #98F9F0; color:#fc001a'>";
                                echo "<td colspan='6' class='text-right'><b>Total</b></td>";
                                echo "<td class='numeric text-right'><b>$pgrsubtot</b></td>";
                                echo "<td class='numeric text-right'><b>$pgrtotdis</b></td>";
                                echo "<td class='numeric text-right'><b>$pgrtotvat</b></td>";
                                echo "<td class='numeric text-right'><b>$pgrcourchgs</b></td>";
                                echo "<td class='numeric text-right'><b>$pgrtotbillamt</b></td>";
                                echo "</tr>";
                                ?>
                            </tbody>
                        </table>
                    </div>
                </div>

            <?php
            }
            ?>
        </div>
        <?php include("includes/linksfoot.php");
        ?>
    </body>

    </html>
<?php
}

if (isset($_POST["excel"]) || ($_GET["excel"])) {

    if ($getno2 > 0) {
        $contents .= "Sale Register \n";
        $contents .= "Total No. of Record : $getno2 \n";

        $contents .= "Sr, Voucher, Date, Company, Bill No., Party Name, Sub Total, Discount, Add Vat, Courier, Bill Amount \n";

        $pctr =  $ptotamt =  $ptotdiscamt =  $ptottaxable =  $ptotgst3 =  $ptotgst5 =  $ptotgst12 =  $ptotgst18 =  $ptotgst28 = 0;
        $ptotpackamt = $ptotstamt = $ptotothamt = $ptotbillamt = 0;
        $pchtypecond = "";

        while ($pmain = mysqli_fetch_array($getpmain2)) {
            if ($pmain['paidby'] == "C") {
                $ptyped = "CASH";
            } else {
                $ptyped = "CREDIT";
            }

            $voucher = $pmain['vouchno'];
            $invno = $pmain['invno'];
            $totalqty = $pmain['totalqty'];
            $mydt = $pmain['mydt'];

            if ($pmain['canc_flag'] == "C") {
                $partynm = "<b style='color:red'>CANCELLED</b>";
                $color = "red";
                $subtot = $totdisc = $totvat = $billamt = 0;
                $gstno = "";
                $billamt = $subtot = $totvat = $totdisc = 0;
            } else if ($pmain['canc_flag'] != "C") {
                $gparty = mysqli_query($conn, "SELECT `accode`,`name` FROM `accmast` where `accode` = '$pmain[party]'") or die(mysqli_error($conn));
                $sparty = mysqli_fetch_array($gparty);

                $gcomp = mysqli_query($conn, "SELECT `code`,`name` FROM $zroot.`compmast` where `code` = '$pmain[company]'") or die(mysqli_error($conn));
                $fcomp = mysqli_fetch_array($gcomp);

                $partynm = $sparty['name'];
                $billamt = $pmain['billamt'];
                $subtot = $pmain['grossamt'];
                $totvat = $pmain['totvat'];
                $courchgs = $pmain['courchgs'];
                $totdisc = $pmain['totdisc'];
            }

            $pctr++;

            $contents .= "$pctr" . ",";
            $contents .= "$voucher" . ",";
            $contents .= "$invno" . ",";
            $contents .= "$mydt" . ",";
            $contents .= "$fcomp[name]" . ",";
            if (empty($party)) {
                $contents .= "$partynm" . ",";
            }
            $contents .= "$subtot" . ",";
            $contents .= "$totdisc" . ",";
            $contents .= "$totvat" . ",";
            $contents .= "$courchgs" . ",";
            $contents .= "$billamt" . "\n";

            $pgrtotqty += $totalqty;
            $pgrsubtot += $subtot;
            $pgrtotdis += $totdisc;
            $pgrtotvat += $totvat;
            $pgrcourchgs += $courchgs;
            $pgrtotbillamt += $billamt;

            if ($_POST["dtype"] == 2) {

                $contents .= "Sr, Code, Item, Batch, Qty., Unit, Cost, Amount, Disc. %, Discount, VAT. %, VAT, Total \n";

                $ctr2 = 0;
                $pctr2 = 0;
                $pcartqty = $pqty = $ptotqty = $ptotamount = $ptotdiscount = $ptotvat = $ptotal = 0;

                $gettran = mysqli_query($conn, "SELECT * FROM `saletran` WHERE `vouchno`='$pmain[vouchno]' order by srno") or die(mysqli_error($conn));
                while ($tran = mysqli_fetch_array($gettran)) {

                    $getitem = mysqli_query($conn, "SELECT `code`,`name` FROM `product` WHERE `code`='$tran[itemcode]'") or die(mysqli_error($conn));
                    $showitem = mysqli_fetch_array($getitem);

                    $getunit = mysqli_query($conn, "SELECT * FROM $zroot.`unit` WHERE code = '$tran[unit]'") or die(mysqli_error($conn));
                    $fetunit = mysqli_fetch_array($getunit);

                    $ctr2++;
                    $contents .= "$ctr2" . ",";
                    $contents .= "$tran[barcode]" . ",";
                    $contents .= "$showitem[name]" . ",";
                    $contents .= "$tran[batch]" . ",";
                    $contents .= "$tran[qty]" . ",";
                    $contents .= "$fetunit[name]" . ",";
                    $contents .= "$tran[cost]" . ",";
                    $contents .= "$tran[amount]" . ",";
                    $contents .= "$tran[discperc]" . ",";
                    $contents .= "$tran[discamt]" . ",";
                    $contents .= "$tran[vatperc]" . ",";
                    $contents .= "$tran[vat]" . ",";
                    $contents .= "$tran[total]" . "\n";

                    $pcartqty += $tran['cartqty'];
                    $pqty += $tran['qty'];
                    $ptotqty += $tran['totqty'];
                    $ptotamount += $tran['amount'];
                    $ptotdiscount += $tran['discamt'];
                    $ptotvat += $tran['vat'];
                    $ptotal += $tran['total'];
                }

                $contents .= "" . ",";
                $contents .= "" . ",";
                $contents .= "" . ",";
                $contents .= "Total" . ",";
                $contents .= "$pqty" . ",";
                $contents .= "" . ",";
                $contents .= "" . ",";
                $contents .= "$ptotamount" . ",";
                $contents .= "" . ",";
                $contents .= "$ptotdiscount" . ",";
                $contents .= "" . ",";
                $contents .= "$ptotvat" . ",";
                $contents .= "$ptotal" . "\n";
            }
        }

        $contents .= "" . ",";
        $contents .= "" . ",";
        $contents .= "" . ",";
        $contents .= "" . ",";
        $contents .= "" . ",";
        $contents .= "Total" . ",";
        $contents .= "$pgrsubtot" . ",";
        $contents .= "$pgrtotdis" . ",";
        $contents .= "$pgrtotvat" . ",";
        $contents .= "$pgrcourchgs" . ",";
        $contents .= "$pgrtotbillamt" . "\n";
    }

    $contents = strip_tags($contents);

    if ($_POST["dtype"] == 1 || $_POST["dtype"] == 3) {
        header("Content-Disposition: attachment;filename = $formname" . "_Summary" . date('d-m-Y') . ".csv");
        print $contents;
    } else {
        header("Content-Disposition: attachment;filename = $formname" . "_Detail" . date('d-m-Y') . ".csv");
        print $contents;
    }
}
?>